<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides the rendering of Product Category Templates
 *
 * @package    Product
 * @category   Helper
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
abstract class Product_Category_Template {
	protected $pco = NULL;

	abstract protected function render();

	public function __construct(Model_Product_Category $pco) {
		$this->pco = $pco;
	}

	public function __toString() {
		return (string)$this->render();
	}
}
?>
